VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmHelp 
   Caption         =   "PrimeSRvb - Andrica's Conjecture - Help"
   ClientHeight    =   6135
   ClientLeft      =   3255
   ClientTop       =   3975
   ClientWidth     =   9810
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   10.5
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Help.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   409
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   654
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6240
      Top             =   360
      _ExtentX        =   688
      _ExtentY        =   688
      _Version        =   393216
   End
   Begin VB.TextBox txtOut 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5616
      Left            =   0
      Locked          =   -1  'True
      MousePointer    =   1  'Arrow
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   480
      Width           =   9852
   End
   Begin VB.Line Line1 
      DrawMode        =   12  'Nop
      X1              =   0
      X2              =   850
      Y1              =   0
      Y2              =   0
   End
   Begin VB.Label lblTitle 
      AutoSize        =   -1  'True
      Caption         =   "Andrica's Conjecture Program Help File"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   288
      Left            =   1440
      MousePointer    =   1  'Arrow
      TabIndex        =   1
      Top             =   120
      Width           =   4272
   End
   Begin VB.Menu menFile 
      Caption         =   "&File"
      Begin VB.Menu menPrintSetup 
         Caption         =   "P&rint Setup"
      End
      Begin VB.Menu menPrint 
         Caption         =   "&Print..."
         Shortcut        =   ^P
      End
      Begin VB.Menu menHi 
         Caption         =   "-"
      End
      Begin VB.Menu menExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "frmHelp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit 'Must explicitly declare all variables

Dim HelpFile As String   'File name of Help file

Public Sub Help(hFormOwner As Form) '-------- Begin Main program
  Me.MousePointer = vbArrow
  Me.Show vbModeless, hFormOwner
  HelpFile = PName + "Help.txt"
  Call ReadHelp
End Sub 'Main program

Private Sub ReadHelp() '-------- Read Help file from disk and display it
  Dim St As String

  txtOut.SelStart = 0: txtOut.Text = "" 'Clear text output window
  PLn "": PLn "Reading Help File: " + HelpFile
  On Error GoTo TrapOpen
  Open HelpFile For Input As #3
  On Error GoTo 0
  txtOut.SelStart = 0: txtOut.Text = "" 'Clear text output window again
  txtOut.FontName = "Tahoma"
  txtOut.FontBold = False
  txtOut.FontSize = 13
  PLn ""
  Do While Not EOF(3)   'Loop until end of file.
    Line Input #3, St
    PLn "  " + St       'Output a line of Help
  Loop
  Close #3
  txtOut.SelStart = 0 'Move cursor to top
  Exit Sub
TrapOpen:
  If Err.Number = 53 Then  'File not found
    PLn "File not found: " + HelpFile
    Exit Sub
  End If
  On Error GoTo 0: Resume
End Sub 'ReadHelp

Private Sub menPrint_Click() 'Read Help file from disk and print it
  Dim Lines  As Integer
  Dim Indent As String
  Dim St     As String

  Indent = "                    " '20 spaces
  On Error GoTo TrapOpen
  Open HelpFile For Input As #5
  On Error GoTo 0
  Lines = 0
  Printer.FontName = "Tahoma"
  Printer.FontBold = False
  Printer.FontSize = 12
  Printer.Print vbCrLf + vbCrLf
  Do While Not EOF(5) 'Loop until end of file.
    Line Input #5, St
    Printer.Print Indent + St 'Print a line of Help
    Lines = Lines + 1
    If Lines Mod 48 = 0 Then
      Printer.NewPage 'Send new page
      Printer.Print vbCrLf + vbCrLf
    End If
  Loop
  Printer.EndDoc  'Printout is done.
  Close #5
  Exit Sub
TrapOpen:
  If Err.Number = 53 Then  'File not found
    PLn "File not found: " + HelpFile
    Exit Sub
  End If
  On Error GoTo 0: Resume
End Sub 'menPrint_Click

Sub Prn(p) 'Print number or string to txtOut window
  txtOut.SelStart = Len(txtOut.Text)
  txtOut.SelText = CStr(p)
End Sub

Sub PLn(p) 'Print number or string ... and new line to txtOut
  Prn (p)
  txtOut.SelText = vbCrLf
End Sub

Private Sub menExit_Click()
  Unload Me
End Sub

Private Sub menPrintSetup_Click()
  CommonDialog1.ShowPrinter
End Sub

Private Sub Form_Resize()
   Dim Width As Integer, Height As Integer, Top As Integer
   
   Top = lblTitle.Top + lblTitle.Height + 7
   Width = ScaleWidth - 2
   Height = ScaleHeight - Top - 1
   If Width < 1 Then Width = 1
   If Height < 1 Then Height = 1
   txtOut.Move 1, Top, Width, Height
End Sub
'End of file Help.frm for PrimeSRvb.BAS ************************************
