VERSION 5.00
Begin VB.Form frmStartup 
   BackColor       =   &H00E0E0E0&
   Caption         =   "PrimeSRvb - Andrica's Conjecture - Startup"
   ClientHeight    =   6705
   ClientLeft      =   3840
   ClientTop       =   3780
   ClientWidth     =   9885
   FontTransparent =   0   'False
   Icon            =   "Startup.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   447
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   659
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox TextIntro 
      BackColor       =   &H00FFF4D0&
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   6735
      Left            =   15
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   10
      Top             =   0
      Width           =   8175
   End
   Begin VB.TextBox txtQS 
      Height          =   285
      Left            =   8520
      TabIndex        =   2
      Text            =   "200000"
      Top             =   720
      Width           =   1035
   End
   Begin VB.TextBox txtSiz 
      Height          =   285
      Left            =   8520
      TabIndex        =   4
      Text            =   "500"
      Top             =   1560
      Width           =   1035
   End
   Begin VB.TextBox txtJLim 
      Height          =   285
      Left            =   8520
      TabIndex        =   6
      Text            =   "105000"
      Top             =   2400
      Width           =   1035
   End
   Begin VB.TextBox txtCyc 
      Height          =   285
      Left            =   8520
      TabIndex        =   8
      Text            =   "1"
      Top             =   3240
      Width           =   1035
   End
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "Exit"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   7.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   9120
      TabIndex        =   1
      Top             =   6240
      Width           =   672
   End
   Begin VB.CommandButton cmdRun 
      Caption         =   "Run"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   7.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   8280
      TabIndex        =   0
      Top             =   6240
      Width           =   672
   End
   Begin VB.Label lblQS 
      AutoSize        =   -1  'True
      BackColor       =   &H00E0E0E0&
      Caption         =   "Prime # Table Length"
      Height          =   192
      Left            =   8280
      TabIndex        =   3
      Top             =   480
      Width           =   1536
   End
   Begin VB.Label lblSiz 
      AutoSize        =   -1  'True
      BackColor       =   &H00E0E0E0&
      Caption         =   "Size of Results Table"
      Height          =   192
      Left            =   8280
      TabIndex        =   5
      Top             =   1320
      Width           =   1536
   End
   Begin VB.Label lblJLim 
      AutoSize        =   -1  'True
      BackColor       =   &H00E0E0E0&
      Caption         =   "Primes Gen. Per Cycle"
      Height          =   192
      Left            =   8220
      TabIndex        =   7
      Top             =   2160
      Width           =   1656
   End
   Begin VB.Label lblCyc 
      AutoSize        =   -1  'True
      BackColor       =   &H00E0E0E0&
      Caption         =   "Cycles Per Status"
      Height          =   192
      Left            =   8400
      TabIndex        =   9
      Top             =   3000
      Width           =   1296
   End
End
Attribute VB_Name = "frmStartup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mbQuit As Boolean

Private Sub Form_Load() '-------- Begin Main program

Dim I As Long, FileDescription As String
Dim Company As String, EXEName As String, Title As String

Title = App.Title
TextIntro.Text = ""
FileDescription = App.FileDescription
Company = App.CompanyName
EXEName = App.EXEName
I = InStr(App.FileDescription, " ")
PName = Mid(App.FileDescription, 1, I - 1)
mbQuit = False

'***************************************************************************
Name1 = App.ProductName
Name2 = App.Comments
Version = "Visual Basic Version " & App.Major & "." & App.Minor & "." & App.Revision
Author = App.LegalCopyright
Address = App.LegalTrademarks
'***************************************************************************
 Pr ""
 Pr "   " + Name1
 Pr "   " + Name2
 Pr "   " + Version
 Pr "   " + Author
 Pr "   " + Address
 Pr ""
 Pr "This program computes terms for The On-Line Encyclopedia of Integer"
 Pr "Sequences maintained by N. J. A. Sloane. See:"
 Pr "   http://www.research.att.com/~njas/sequences/"
 Pr "The sequences computed are A084974, A084975, A084976, and A084977."
 Pr ""
 Pr "A084974(n) are the primes p_k such that Af(k) > Af(m) for all"
 Pr "m > k, where Af(k) is the Andrica function sqrt(p_k+1) - sqrt(p_k),"
 Pr "and p_k denotes the k-th prime. See:"
 Pr "   http://mathworld.wolfram.com/AndricasConjecture.html"
 Pr ""
 Pr "A084975(n) are the primes p_k+1 such that Af(k) > Af(m) for all m > k."
 Pr ""
 Pr "A084976(n) are values of k such that Af(k) > Af(m) for all m > k."
 Pr ""
 Pr "A084977(n) = Ag(k) = floor(1000000*Af(k)) with k such that"
 Pr "Af(k) > Af(m) for all m > k."
 Pr ""
 Pr "The latest version of this program and all of its source files can be"
 Pr "downloaded from http://home.netcom.com/~hjsmith/PrimeSR.html ."
End Sub 'End Main program

Private Sub Pr(St As String)
  TextIntro.SelStart = Len(TextIntro.Text)
  TextIntro.SelText = "   " + St + vbCrLf
End Sub

Private Sub txtQS_Change()
  Dim sQS As String, iQS As Long

  sQS = txtQS.Text
  If IsLong(sQS) Then
    iQS = CLng(sQS)
    cmdRun.Enabled = (iQS >= 1)
  Else
    cmdRun.Enabled = False
  End If
End Sub

Private Sub txtSiz_Change()
  Dim sSiz As String, iSiz As Long

  sSiz = txtSiz.Text
  If IsLong(sSiz) Then
    iSiz = CLng(sSiz)
    cmdRun.Enabled = (iSiz >= 1)
  Else
    cmdRun.Enabled = False
  End If
End Sub

Private Sub txtJLim_Change()
  Dim sJLim As String, iJLim As Long

  sJLim = txtJLim.Text
  If IsLong(sJLim) Then
    iJLim = CLng(sJLim)
    cmdRun.Enabled = (iJLim >= 2)
  Else
    cmdRun.Enabled = False
  End If
End Sub

Private Sub txtCyc_Change()
  Dim sCyc As String, iCyc As Long

  sCyc = txtCyc.Text
  If IsLong(sCyc) Then
    iCyc = CLng(sCyc)
    cmdRun.Enabled = (1 <= iCyc And iCyc <= 1000)
  Else
    cmdRun.Enabled = False
  End If
End Sub

Private Sub cmdRun_Click()
  Dim oFormRun As frmRun
  Dim iQS As Long, iSiz As Long, iJLim As Long
  Dim iCyc As Integer

  iQS = CLng(txtQS.Text)
  iSiz = CLng(txtSiz.Text)
  iJLim = CLng(txtJLim.Text)
  iCyc = CInt(txtCyc.Text)
  Set oFormRun = New frmRun
  Call oFormRun.Run(iQS, iSiz, iJLim, iCyc, Me)
  Set oFormRun = Nothing
End Sub

Private Sub cmdExit_Click()
  mbQuit = True
  Unload Me
End Sub

Private Sub Form_QueryUnload(cancel As Integer, unloadmode As Integer)
  Dim MsgButton As Integer
  If Not mbQuit Then
    MsgButton = MsgBox("Are you sure you want to quit?" _
      , vbOKCancel + vbQuestion, App.FileDescription)
      '----------
    If MsgButton <> vbOK Then cancel = True
  End If
End Sub
'End of file Startup.frm for PrimeSRvb.BAS *********************************
